Bug 13560 - Не указывается консоль при вызове Иксов для rdp-сессии
: Не указывается консоль при вызове Иксов для rdp-сессии
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ltsp5-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-30 13:18 by
Modified: 2008-03-20 19:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-30 13:18:46
В RDP-сессии при вызове Иксов не указывается явно консоль, что иногда может
приводить к неприятным глюкам с неработой клавиатуры (после убития 
иксов всё, что нажималось, оказывается на второй консоли). 

Патч: 
sed -i -r -e 's/(^[[:blank:]]*RDESKTOP_OUTPUT.*displaynum)/\1 vt${ttynum}/'
$ROOT/usr/lib/ltsp/screen.d/rdp

Куда именно его вставлять, не знаю, у меня этим бутсплешевый хук занимается.
------- Comment #1 From 2007-12-13 19:39:53 -------
fixed in ltsp5-5.0-alt0.64